Cyberduck Mountain Duck CLI

#9499 closed defect (worksforme)

FTP Transfers failing: Interoperability Failure "200 TYPE is now 8-bit binary"

Reported by: prembo Owned by: dkocher
Priority: high Milestone: 5.1
Component: ftp Version: 4.9.2
Severity: critical Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.11

Description

Hi,

Just recently, I've stopped being able to FTP files to my web host using CyberDuck (Version 4.9.2 19773).

The file transfer progress bar makes it to the end, but then an error dialog pops up.

The file is can then be found in the destination folder but it is 0-bytes in size.

The web host confirms that the server is functioning properly. I have also successfully FTP'd the same file using FileZilla & Panic.

Is there any other info I can provide? Thank you. Prembo.

Attachments (1)

Screen Shot 2016-04-26 at 12.36.49 PM.png (143.4 KB) - added by prembo on May 2, 2016 at 6:57:26 AM.
Interoperability Failure notice

Download all attachments as: .zip

Change History (12)

Changed on May 2, 2016 at 6:57:26 AM by prembo

Interoperability Failure notice

comment:1 Changed on May 2, 2016 at 8:22:25 AM by dkocher

Please post the transcript from the log drawer of the Transfers window. Choose ⌘-L on Mac or right-click the toolbar from the Transfers window and choose Log on Windows

comment:2 Changed on May 2, 2016 at 8:22:43 AM by dkocher

  • Milestone set to 5.0

comment:3 Changed on May 2, 2016 at 2:49:56 PM by prembo

Please note that at the point in which the upload was occurring until error dialog had popped up nothing was output to the log. It was only after I clicked "Continue" and the folder refreshed that there was something logged

Transcript from the log drawer:

220---------- Welcome to Pure-FTPd [privsep] [TLS] ----------
220-You are user number 4 of 50 allowed.
220-Local time is now 00:29. Server port: 21.
220-This is a private system - No anonymous login
220-IPv6 connections are also welcome on this server.
220 You will be disconnected after 15 minutes of inactivity.
USER XXXX
331 User XXXX OK. Password required
PASS ********
230 OK. Current restricted directory is /
FEAT
211-Extensions supported:
 EPRT
 IDLE
 MDTM
 SIZE
 MFMT
 REST STREAM
 MLST type*;size*;sizd*;modify*;UNIX.mode*;UNIX.uid*;UNIX.gid*;unique*;
 MLSD
 AUTH TLS
 PBSZ
 PROT
 UTF8
 TVFS
 ESTA
 PASV
 EPSV
 SPSV
 ESTP
211 End.
OPTS UTF8 ON
200 OK, UTF-8 enabled
SYST
215 UNIX Type: L8
CWD /public_html
250 OK. Current directory is /public_html
TYPE A
200 TYPE is now ASCII
PASV
227 Entering Passive Mode (WWW,XXX,YYY,ZZZ,215,165)
MLSD
150 Accepted data connection
type=cdir;sizd=4096;modify=20160502035259;UNIX.mode=0750;UNIX.uid=1466;UNIX.gid=99;unique=803g11783a0; .
type=pdir;sizd=4096;modify=20160502025647;UNIX.mode=0711;UNIX.uid=1466;UNIX.gid=1460;unique=803g117637e; ..
type=file;size=15;modify=20160425191427;UNIX.mode=0600;UNIX.uid=1466;UNIX.gid=1460;unique=803g116215d; .ftpquota
type=file;size=20770;modify=20151012061426;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g116ec34; .htaccess
type=file;size=85;modify=20151012015409;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g1169257; BingSiteAuth.xml
type=file;size=13569;modify=20151012031136;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g11694de; apple-touch-icon-120x120.png
type=file;size=15431;modify=20151012031136;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g1169940; apple-touch-icon-152x152.png
type=file;size=8514;modify=20151012031135;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g1160bca; apple-touch-icon-76x76.png
type=file;size=7114;modify=20151012031137;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g1169bcb; apple-touch-icon.png
type=dir;sizd=4096;modify=20150704232048;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g11783a5; cgi-bin
type=file;size=4286;modify=20151012031137;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g1169c33; favicon.ico
type=file;size=53;modify=20151012005133;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g11619a3; google06bf0de4c030d17d.html
type=file;size=53;modify=20160225062709;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g1160c4d; google3eabbbb05cac6ee8.html
type=file;size=418;modify=20130924194812;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g116ec2b; index.php
type=file;size=19935;modify=20160305144426;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g116ec2c; license.txt
type=file;size=967;modify=20150704234948;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g116ec36; php.ini
type=file;size=7360;modify=20160426214039;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g116ec2d; readme.html
type=file;size=5032;modify=20160127220528;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g116ec2e; wp-activate.php
type=dir;sizd=4096;modify=20160413203024;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g117841d; wp-admin
type=file;size=364;modify=20151219055028;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g116ec2f; wp-blog-header.php
type=file;size=1476;modify=20160130162628;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g116ec30; wp-comments-post.php
type=file;size=2853;modify=20151216042826;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g116ec31; wp-config-sample.php
type=file;size=3003;modify=20150704235400;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g116ec3a; wp-config.php
type=dir;sizd=4096;modify=20160502142829;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g117842d; wp-content
type=file;size=3286;modify=20150524125626;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g116ec39; wp-cron.php
type=dir;sizd=12288;modify=20160413203024;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g117853d; wp-includes
type=file;size=2380;modify=20131024172824;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g1163fc9; wp-links-opml.php
type=file;size=3316;modify=20151105182926;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g1163fd9; wp-load.php
type=file;size=33837;modify=20160305213630;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g1163fda; wp-login.php
type=file;size=7887;modify=20151006083724;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g1163fdb; wp-mail.php
type=file;size=13106;modify=20160217172826;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g1163fdc; wp-settings.php
type=file;size=28624;modify=20160127222126;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g1163fdd; wp-signup.php
type=file;size=4035;modify=20141130155324;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g1163fe0; wp-trackback.php
type=file;size=3061;modify=20151002181628;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g1163fe1; xmlrpc.php
226-Options: -a -l 
226 34 matches total
CWD /public_html/wp-content
250 OK. Current directory is /public_html/wp-content
TYPE A
200 TYPE is now ASCII
PASV
227 Entering Passive Mode (WWW,XXX,YYY,ZZZ,199,55)
MLSD
150 Accepted data connection
type=cdir;sizd=4096;modify=20160502142829;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g117842d; .
type=pdir;sizd=4096;modify=20160502035259;UNIX.mode=0750;UNIX.uid=1466;UNIX.gid=99;unique=803g11783a0; ..
type=file;size=28;modify=20120108113112;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g1164244; index.php
type=dir;sizd=4096;modify=20160502035256;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g117842e; plugins
type=file;size=0;modify=20151004165408;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g11693c3; temp-write-test-1443977647
type=file;size=0;modify=20160114214533;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g116db3d; temp-write-test-1452807933
type=dir;sizd=4096;modify=20160502072341;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g1178433; themes
type=dir;sizd=4096;modify=20160502035259;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g117841c; upgrade
type=dir;sizd=4096;modify=20160101010036;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g1178585; uploads
226-Options: -a -l 
226 9 matches total
CWD /public_html/wp-content/plugins
250 OK. Current directory is /public_html/wp-content/plugins
TYPE A
200 TYPE is now ASCII
PASV
227 Entering Passive Mode (WWW,XXX,YYY,ZZZ,235,119)
MLSD
150 Accepted data connection
type=cdir;sizd=4096;modify=20160502035256;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g117842e; .
type=pdir;sizd=4096;modify=20160502142829;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g117842d; ..
type=dir;sizd=4096;modify=20160223030535;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g117e3a2; akismet
type=dir;sizd=4096;modify=20150727032303;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g11b4154; cmssuperheroes
type=dir;sizd=4096;modify=20160502035236;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g11be422; coming-soon
type=dir;sizd=4096;modify=20160502035242;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g11fe0a4; contact-form-7
type=file;size=1169;modify=20160427025611;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g1169f26; error_log
type=dir;sizd=4096;modify=20150727032335;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g11b40e8; essential-grid
type=file;size=2255;modify=20130522163840;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g1164257; hello.php
type=file;size=28;modify=20140605112914;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g1164258; index.php
type=dir;sizd=4096;modify=20151002155849;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g1238105; js_composer
type=dir;sizd=4096;modify=20150727032342;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g11b4110; revslider
type=dir;sizd=4096;modify=20160502035251;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g11fe0fc; woocommerce
type=dir;sizd=4096;modify=20160502035259;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g11be423; wordpress-seo
226-Options: -a -l 
226 14 matches total

''(ATTEMPTED TO FTP FILE AT THIS POINT IN LOG, BUT NOTHING LOGGED)''

CWD /public_html/wp-content
250 OK. Current directory is /public_html/wp-content
TYPE A
200 TYPE is now ASCII
PASV
227 Entering Passive Mode (WWW,XXX,YYY,ZZZ,206,153)
MLSD
150 Accepted data connection
type=cdir;sizd=4096;modify=20160502143106;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g117842d; .
type=pdir;sizd=4096;modify=20160502035259;UNIX.mode=0750;UNIX.uid=1466;UNIX.gid=99;unique=803g11783a0; ..
type=file;size=28;modify=20120108113112;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g1164244; index.php
type=file;size=0;modify=20160502143621;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g1160cae; js_composer.zip
type=dir;sizd=4096;modify=20160502035256;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g117842e; plugins
type=file;size=0;modify=20151004165408;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g11693c3; temp-write-test-1443977647
type=file;size=0;modify=20160114214533;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g116db3d; temp-write-test-1452807933
type=dir;sizd=4096;modify=20160502072341;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g1178433; themes
type=dir;sizd=4096;modify=20160502035259;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g117841c; upgrade
type=dir;sizd=4096;modify=20160101010036;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g1178585; uploads
226-Options: -a -l 
226 10 matches total


Last edited on May 4, 2016 at 8:33:44 AM by dkocher (previous) (diff)

comment:4 follow-up: Changed on May 4, 2016 at 8:34:43 AM by dkocher

Please post the transcript from the log drawer from the Transfers window.

comment:5 follow-up: Changed on May 4, 2016 at 2:07:10 PM by dkocher

As a workaround, set your transfer option in Preferences or the Bookmark to Open new connection instead of Open multiple Connections which is the new default in 4.9. Refer to the documentation.

comment:6 in reply to: ↑ 4 Changed on May 9, 2016 at 6:37:37 AM by prembo

Replying to dkocher:

Please post the transcript from the log drawer from the Transfers window.

Please find below the log from the Transfers drawer:

220---------- Welcome to Pure-FTPd [privsep] [TLS] ----------
220-You are user number 3 of 50 allowed.
220-Local time is now 16:16. Server port: 21.
220-This is a private system - No anonymous login
220-IPv6 connections are also welcome on this server.
220 You will be disconnected after 15 minutes of inactivity.
USER XXXX
331 User XXXX OK. Password required
PASS ********
230 OK. Current restricted directory is /
FEAT
211-Extensions supported:
 EPRT
 IDLE
 MDTM
 SIZE
 MFMT
 REST STREAM
 MLST type*;size*;sizd*;modify*;UNIX.mode*;UNIX.uid*;UNIX.gid*;unique*;
 MLSD
 AUTH TLS
 PBSZ
 PROT
 UTF8
 TVFS
 ESTA
 PASV
 EPSV
 SPSV
 ESTP
211 End.
OPTS UTF8 ON
200 OK, UTF-8 enabled
SYST
215 UNIX Type: L8
CWD /public_html/wp-content/themes
250 OK. Current directory is /public_html/wp-content/themes
TYPE A
200 TYPE is now ASCII
PASV
227 Entering Passive Mode (WWW,XXX,YYY,ZZZ,253,204)
MLSD
150 Accepted data connection
type=cdir;sizd=4096;modify=20160502072341;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g1178433; .
type=pdir;sizd=4096;modify=20160502150400;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g117842d; ..
type=file;size=28;modify=20140605112914;UNIX.mode=0644;UNIX.uid=1466;UNIX.gid=1460;unique=803g1164259; index.php
type=dir;sizd=4096;modify=20151209192721;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g12ba058; twentysixteen
type=dir;sizd=4096;modify=20151214223604;UNIX.mode=0755;UNIX.uid=1466;UNIX.gid=1460;unique=803g1188241; wp_spectrum
226-Options: -a -l 
226 5 matches total
TYPE I
200 TYPE is now 8-bit binary
PASV
227 Entering Passive Mode (WWW,XXX,YYY,ZZZ,234,80)
STOR /public_html/wp-content/themes/wp_spectrum.zip
150 Accepted data connection
TYPE I
226-File successfully transferred
226 393.461 seconds (measured here), 38.81 Kbytes per second
PASV
200 TYPE is now 8-bit binary
PORT 10,1,1,1,237,43
227 Entering Passive Mode (WWW,XXX,YYY,ZZZ,204,235)
STOR /public_html/wp-content/themes/wp_spectrum.zip
200 PORT command successful
QUIT
425 Could not open data connection to port 60715: Connection refused

comment:7 in reply to: ↑ 5 Changed on May 9, 2016 at 7:07:01 AM by prembo

Replying to dkocher:

As a workaround, set your transfer option in Preferences or the Bookmark to Open new connection instead of Open multiple Connections which is the new default in 4.9. Refer to the documentation.

Thanks very much for the suggested workaround. Setting it to "Open new connection" seemed to make no difference. The Transfer drawer log looked very similar.

comment:8 Changed on May 9, 2016 at 7:36:59 AM by dkocher

#9509 closed as duplicate.

comment:9 Changed on May 24, 2016 at 2:03:17 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Please update to the latest snapshot build available and let us know if you still see the error.

comment:10 Changed on Jun 20, 2016 at 1:29:22 AM by meowtown

  • Resolution worksforme deleted
  • Status changed from closed to reopened

I just started getting this exact same error while I was working on my site. I did nothing to spawn this error, other than duplicating an html document, and double clicking that document in order to edit it.

The workaround mentioned in this ticket works, although I don't really know what the workaround is doing or whether or not it is ideal compared to the default setting.

comment:11 Changed on Jul 19, 2016 at 8:56:02 AM by dkocher

  • Milestone changed from 5.0 to 5.1
  • Resolution set to worksforme
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.
swiss made software